Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixinInstanceMetaMethod

- org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaMethod

-     public class MixinInstanceMetaMethod
      extends MetaMethod

  MetaMethod for mixed in classes. This method delegates to the underlying method on the mixin instance.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)` Constructs a new MixinInstanceMetaMethod.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedClass` | `getDeclaringClass()` Returns the class that declares this mixin method.
    `` | `public int` | `getModifiers()` Returns the modifiers of the underlying metamethod.
    `` | `public String` | `getName()` Returns the name of the underlying metamethod.
    `` | `protected Class[]` | `getPT()`
    `` | `public Class` | `getReturnType()` Returns the return type of the underlying metamethod.
    `` | `public Object` | `invoke(Object object, Object[] arguments)` Invokes the underlying method on the mixin instance associated with the given object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)

      Constructs a new MixinInstanceMetaMethod.

      Parameters:
        `method` - the underlying metamethod from the mixin
        `mixinInMetaClass` - the mixin metadata

  - ### Method Detail

    - #### public CachedClass getDeclaringClass()

      Returns the class that declares this mixin method.

      Returns:
        the declaring class (from the mixin)

    - #### public int getModifiers()

      Returns the modifiers of the underlying metamethod.

      Returns:
        the method modifiers

    - #### public String getName()

      Returns the name of the underlying metamethod.

      Returns:
        the method name

    - #### protected Class[] getPT()

    - #### public Class getReturnType()

      Returns the return type of the underlying metamethod.

      Returns:
        the return type

    - #### public Object invoke(Object object, Object[] arguments)

      Invokes the underlying method on the mixin instance associated with the given object.

      Parameters:
        `object` - the object to invoke the method on
        `arguments` - the method arguments
      Returns:
        the method return value